Get latest movies
curl --request GET \
--url https://api.themoviedb.org/3/movie/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/latest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/latest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/latest")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/latest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"adult": false,
"backdrop_path": null,
"belongs_to_collection": null,
"budget": 0,
"genres": [],
"homepage": "",
"id": 1410780,
"imdb_id": null,
"origin_country": [
"EG"
],
"original_language": "ar",
"original_title": "جرانيتا",
"overview": "A young Egyptian man travels with his family to Hurghada on a work trip, where he works with foreign tourists. There, he meets a woman with an Egyptian father and an American mother. Despite his family's objections, he falls in love and marries her after she becomes pregnant. However, their marriage soon faces challenges as cultural differences emerge—he is deeply rooted in Upper Egyptian traditions, while she embraces a modern American lifestyle.",
"popularity": 0,
"poster_path": null,
"production_companies": [],
"production_countries": [],
"release_date": "",
"revenue": 0,
"runtime": 99,
"spoken_languages": [
{
"english_name": "Arabic",
"iso_639_1": "ar",
"name": "العربية"
}
],
"status": "Released",
"tagline": "",
"title": "Granita",
"video": false,
"vote_average": 0,
"vote_count": 0
}Movies
Get latest movies
Get the newest movie ID.
GET
/
3
/
movie
/
latest
Get latest movies
curl --request GET \
--url https://api.themoviedb.org/3/movie/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/latest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/latest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/latest")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/latest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"adult": false,
"backdrop_path": null,
"belongs_to_collection": null,
"budget": 0,
"genres": [],
"homepage": "",
"id": 1410780,
"imdb_id": null,
"origin_country": [
"EG"
],
"original_language": "ar",
"original_title": "جرانيتا",
"overview": "A young Egyptian man travels with his family to Hurghada on a work trip, where he works with foreign tourists. There, he meets a woman with an Egyptian father and an American mother. Despite his family's objections, he falls in love and marries her after she becomes pregnant. However, their marriage soon faces challenges as cultural differences emerge—he is deeply rooted in Upper Egyptian traditions, while she embraces a modern American lifestyle.",
"popularity": 0,
"poster_path": null,
"production_companies": [],
"production_countries": [],
"release_date": "",
"revenue": 0,
"runtime": 99,
"spoken_languages": [
{
"english_name": "Arabic",
"iso_639_1": "ar",
"name": "العربية"
}
],
"status": "Released",
"tagline": "",
"title": "Granita",
"video": false,
"vote_average": 0,
"vote_count": 0
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
New Request
Example:
false
Example:
0
Example:
[]
Example:
""
Example:
1410780
Example:
["EG"]
Example:
"ar"
Example:
"جرانيتا"
Example:
"A young Egyptian man travels with his family to Hurghada on a work trip, where he works with foreign tourists. There, he meets a woman with an Egyptian father and an American mother. Despite his family's objections, he falls in love and marries her after she becomes pregnant. However, their marriage soon faces challenges as cultural differences emerge—he is deeply rooted in Upper Egyptian traditions, while she embraces a modern American lifestyle."
Example:
0
Example:
[]
Example:
[]
Example:
""
Example:
0
Example:
99
Show child attributes
Show child attributes
Example:
[
{
"english_name": "Arabic",
"iso_639_1": "ar",
"name": "العربية"
}
]
Example:
"Released"
Example:
""
Example:
"Granita"
Example:
false
Example:
0
Example:
0
⌘I
